
mir='m';
cm=0.00;
Amax=exp(7);


mu=10^-4;
mii=mir;
ct='r';

VFvals=(-1:.02:1);
VMvals=(-1:.02:1);

dataname=strcat('bu_',mir,'_',num2str(cm),'_',num2str(size(VFvals,2)),'x',num2str(size(VMvals,2)),'_fixed.mat');
isitTname=strcat('bu_isitT_',mir,'_',num2str(cm),'_',num2str(size(VFvals,2)),'x',num2str(size(VMvals,2)),'_fixed.mat');
Tdenname=strcat('bu_Tden_',mir,'_',num2str(cm),'_',num2str(size(VFvals,2)),'x',num2str(size(VMvals,2)),'_fixed.mat');


%rows will correspond to values of A, and columns will correspond to values of a.
bu_mat=zeros(size(VFvals,2),size(VMvals,2));
isitT_mat=-1*ones(size(VFvals,2),size(VMvals,2));
Tden_mat=-1*ones(size(VFvals,2),size(VMvals,2));

for k=1:size(VFvals,2);
    for j=1:size(VMvals,2);
        
        vf=VFvals(k)
        vm=VMvals(j)
        
        %if vf>=vm

            [frm,mrm]=find_msb(mir,0,ct,cm,vf,vm,mu);
            fmsb=frm;
            mmsb=mrm;
            
            %climbing section
            numsteps=25;
            ends=exp(0:log(Amax)/(numsteps-1):log(Amax));
            
            climbing=1;
            stopup=0;
            while climbing==1
                stopup=stopup+1;
                climbing=comp_bu_4PIP(mir,log(ends(stopup)),mii,log(ends(stopup+1)),ct,cm,vf,vm,mu,fmsb,mmsb);
                if climbing==1
                    [fmsb,mmsb]=find_msb_seed(mir,log(ends(stopup+1)),ct,cm,vf,vm,mu,fmsb,mmsb);
                    if stopup+1==numsteps
                        climbing=2;
                    end
                end
            end
            
            if climbing==2
                buESS=log(Amax);
            else
                if stopup==1
                    buESS=0;
                else
                    
                    %homing section
                    boundaries=[log(ends(stopup-1)),log(ends(stopup+1))]
                    while boundaries(2)-boundaries(1)>0.01
                        [f,m]=find_msb_seed(mir,mean(boundaries),ct,cm,vf,vm,mu,fmsb,mmsb);
                        climbing=comp_bu_4PIP(mir,mean(boundaries),mii,mean(boundaries)+.0001,ct,cm,vf,vm,mu,f,m);
                        if climbing==1
                            boundaries(1)=mean(boundaries);
                        else
                            boundaries(2)=mean(boundaries);
                        end
                    end
                    buESS=mean(boundaries);
                    
                end
            end
            
            bu_mat(k,j)=buESS;
            on_step=[k,j,bu_mat(k,j)]
            save(dataname,'bu_mat')

            [fESS,mESS]=find_msb(mir,exp(buESS),ct,cm,vf,vm,mu);
            if mESS(3)>mrm(3)
                isitT_mat(k,j)=1;
                save(isitTname,'isitT_mat')
            end
            Tden_mat(k,j)=mESS(3);
            save(Tdenname,'Tden_mat')
            
        %end
        
    end
end

% ot=flipdim(flipdim(bu_mat,1),2);
% ot=ot-eye(size(ot,1)).*ot;
% bu_mat=bu_mat+ot;
%save(dataname,'bu_mat')

